Skip to main content
GET
/
{tenant_slug}
/
repositories
List repositories
curl --request GET \
  --url https://app.cysmiq.com/api/v1/{tenant_slug}/repositories \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.cysmiq.com/api/v1/{tenant_slug}/repositories"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "filters": {
    "org": {
      "id": "<string>",
      "name": "<string>",
      "full_path": "<string>"
    },
    "source": [
      "<string>"
    ],
    "application": {
      "id": "<string>",
      "name": "<string>"
    }
  },
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "full_name": "<string>",
      "source": "<string>",
      "is_private": true,
      "is_archived": true,
      "is_enabled": true,
      "scan_state": "<string>",
      "external_id": "<string>",
      "org": {
        "id": "<string>",
        "name": "<string>",
        "full_path": "<string>"
      },
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use a Cysmiq API token in the Authorization header: Bearer {token}.

Path Parameters

tenant_slug
string
required

Workspace slug for the tenant context.

Query Parameters

org
string | null
Maximum string length: 255
source
string | null
Maximum string length: 255
application
string | null
Maximum string length: 255
limit
integer | null
Required range: 1 <= x <= 200
cursor
string | null

Response

Repository list response.

filters
object
required
items
object[]
required
next_cursor
string
required